Bug 594547 - Dell Latitude E6410 can resume from suspend only once
Summary: Dell Latitude E6410 can resume from suspend only once
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 01:28 UTC by Gregg Lebovitz
Modified: 2010-06-08 07:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 07:03:34 UTC
Type: ---


Attachments (Terms of Use)

Description Gregg Lebovitz 2010-05-21 01:28:32 UTC
Description of problem:
Suspend and then resume will work only once. The second time resuming from suspend, will cause the system to reboot.

Version-Release number of selected component (if applicable):
pm-utils 1.2.5-7.fc12 

How reproducible:
Every time

Steps to Reproduce:
1. Suspend Computer (select suspend from System Menu)
2. Resume (press power button to trigger resume)
3. Suspend Computer (select suspend from System Menu)
4. Resume (press power button to trigger resume)
  
Actual results:
System enters bios and reboots on the second resume

Expected results:
System should resume and display the unlock screen

Additional info:
This same problem is reported on launchpad under Ubuntu 10.04. I experience the exact same behavior in both systems (bug #571613)

There are several other bugs reported in ubuntu with suspend hanging that may be related.

Comment 1 Jaroslav Škarvada 2010-06-03 14:46:02 UTC
Please send results of pm-utils-bugreport-info.sh. Is there any error in logs? Can you also try with Fedora 13?

Comment 2 Gregg Lebovitz 2010-06-03 15:22:21 UTC
output of pm-util-bugreport.sh
SUSPEND LOG
Initial commandline parameters: 
Thu Jun  3 11:13:48 EDT 2010: Running hooks for suspend.
/usr/lib/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-dpms-on --quirk-dpms-suspend --quirk-vbe-post --quirk-vbemode-restore --quirk-vbestate-restore --quirk-vga-mode-3 
success.
/usr/lib/pm-utils/sleep.d/00logging suspend suspend: Linux localhost.localdomain 2.6.32.12-115.fc12.i686 #1 SMP Fri Apr 30 20:34:53 UTC 2010 i686 i686 i386 GNU/Linux
Module                  Size  Used by
vfat                    6736  1 
fat                    37704  1 vfat
fuse                   48375  2 
rfcomm                 54645  4 
sco                    13584  2 
bridge                 39353  0 
stp                     1399  1 bridge
llc                     3671  2 bridge,stp
bnep                   11978  2 
l2cap                  38867  16 rfcomm,bnep
vboxnetadp              5434  0 
vboxnetflt             10753  0 
vboxdrv               137059  2 vboxnetadp,vboxnetflt
cpufreq_ondemand        6993  4 
acpi_cpufreq            6535  0 
ip6t_REJECT             3394  2 
nf_conntrack_ipv6      14859  2 
ip6table_filter         2227  1 
ip6_tables              9409  1 ip6table_filter
ipv6                  223810  28 ip6t_REJECT,nf_conntrack_ipv6
dm_multipath           12324  0 
uinput                  5244  0 
snd_hda_codec_idt      43989  1 
nvidia               9950643  31 
snd_hda_intel          19875  2 
arc4                    1073  2 
ecb                     1575  2 
snd_hda_codec          59921  2 snd_hda_codec_idt,snd_hda_intel
iwlagn                119145  0 
iwlcore               176371  1 iwlagn
sdhci_pci               5176  0 
snd_hwdep               4868  1 snd_hda_codec
ppdev                   6529  0 
snd_seq                42811  0 
snd_seq_device          5031  1 snd_seq
sdhci                  15252  1 sdhci_pci
snd_pcm                60772  2 snd_hda_intel,snd_hda_codec
parport_pc             17509  0 
parport                27256  2 ppdev,parport_pc
btusb                  12376  2 
mac80211              169130  2 iwlagn,iwlcore
dell_wmi                1561  0 
snd_timer              15541  2 snd_seq,snd_pcm
mmc_core               51252  1 sdhci
wmi                     5620  1 dell_wmi
snd                    46576  12 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
iTCO_wdt                8886  0 
iTCO_vendor_support     2023  1 iTCO_wdt
e1000e                103624  0 
dcdbas                  6596  0 
i2c_i801                8369  0 
soundcore               4863  1 snd
cfg80211               97861  3 iwlagn,iwlcore,mac80211
bluetooth              74122  9 rfcomm,sco,bnep,l2cap,btusb
snd_page_alloc          6061  2 snd_hda_intel,snd_pcm
rfkill                 13401  4 cfg80211,bluetooth
usb_storage            34386  1 
video                  16522  0 
output                  1605  1 video
nouveau               291973  0 
ttm                    40269  1 nouveau
drm_kms_helper         22263  1 nouveau
drm                   134881  3 nouveau,ttm,drm_kms_helper
i2c_algo_bit            4073  1 nouveau
i2c_core               21732  6 nvidia,i2c_i801,nouveau,drm_kms_helper,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       3346244    1009944    2336300          0      33400     659764
-/+ buffers/cache:     316780    3029464
Swap:      5455864          0    5455864
success.
/usr/lib/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56dhclient suspend suspend: success.
/usr/lib/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95led suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video suspend suspend: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: Advanced Power Management not supported by device sdb.
saving level 128 for device sda
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdd.
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdc.
success.
/usr/lib/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Thu Jun  3 11:13:50 EDT 2010: performing suspend
Thu Jun  3 11:14:49 EDT 2010: Awake.
Thu Jun  3 11:14:49 EDT 2010: Running hooks for resume
/usr/lib/pm-utils/sleep.d/99video resume suspend: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook resume suspend: restoring level 128 for device sda

/dev/sda:
 setting Advanced Power Management level to 0x80 (128)
 APM_level	= 128
success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video resume suspend: success.
/usr/lib/pm-utils/sleep.d/95packagekit resume suspend: method return sender=:1.106 -> dest=:1.105 reply_serial=2
success.
/usr/lib/pm-utils/sleep.d/95led resume suspend: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq resume suspend: success.
/usr/lib/pm-utils/sleep.d/90clock resume suspend: not applicable.
/usr/lib/pm-utils/sleep.d/75modules resume suspend: success.
/usr/lib/pm-utils/sleep.d/56dhclient resume suspend: success.
/usr/lib/pm-utils/sleep.d/56atd resume suspend: Stopping atd: [  OK  ]
Starting atd: [  OK  ]
[  OK  ]
success.
/usr/lib/pm-utils/sleep.d/55NetworkManager resume suspend: success.
/usr/lib/pm-utils/sleep.d/49bluetooth resume suspend: not applicable.
/usr/lib/pm-utils/sleep.d/01grub resume suspend: not applicable.
/usr/lib/pm-utils/sleep.d/00powersave resume suspend: success.
/usr/lib/pm-utils/sleep.d/00logging resume suspend: success.
/usr/lib/pm-utils/sleep.d/00auto-quirk resume suspend: success.
Thu Jun  3 11:14:52 EDT 2010: Finished.
======
SYS POWER
total 0
-rw-r--r-- 1 root root 4096 Jun  3 10:41 disk
-rw-r--r-- 1 root root 4096 Jun  3 11:15 image_size
-rw-r--r-- 1 root root 4096 Jun  3 11:15 pm_test
-rw-r--r-- 1 root root 4096 Jun  3 11:15 pm_trace
-rw-r--r-- 1 root root 4096 Jun  3 11:15 resume
-rw-r--r-- 1 root root 4096 Jun  3 11:13 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.dpms_on = true  (bool)
  power_management.quirk.dpms_suspend = true  (bool)
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbemode_restore = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)
  power_management.quirk.vga_mode_3 = true  (bool)
  system.firmware.version = 'A01'  (string)
  system.hardware.product = 'Latitude E6410'  (string)
  system.hardware.vendor = 'Dell Inc.'  (string)
  system.hardware.version = '0001'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Aug 25  2009 config.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 power.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux localhost.localdomain 2.6.32.12-115.fc12.i686 #1 SMP Fri Apr 30 20:34:53 UTC 2010 i686 i686 i386 GNU/Linux
======
RPM
kernel-2.6.31.5-127.fc12
kernel-2.6.32.12-115.fc12
pm-utils-1.2.5-7.fc12
hal-0.5.13-9.fc12
hal-info-20090716-3.fc12
gnome-power-manager-2.28.2-2.fc12
vbetool-1.2.2-1.fc12
radeontool-1.5-6.fc12
hdparm-9.16-3.fc12
======
FEDORA RELEASE
Fedora release 12 (Constantine)
======

Comment 3 Gregg Lebovitz 2010-06-03 15:33:55 UTC
this is the output of pm-utils-bugreport-info.sh after the reboot:

SUSPEND LOG
Initial commandline parameters: 
Thu Jun  3 11:21:57 EDT 2010: Running hooks for suspend.
/usr/lib/pm-utils/sleep.d/00auto-quirk suspend suspend: Adding quirks from HAL: --quirk-dpms-on --quirk-dpms-suspend --quirk-vbe-post --quirk-vbemode-restore --quirk-vbestate-restore --quirk-vga-mode-3 
success.
/usr/lib/pm-utils/sleep.d/00logging suspend suspend: Linux localhost.localdomain 2.6.32.12-115.fc12.i686 #1 SMP Fri Apr 30 20:34:53 UTC 2010 i686 i686 i386 GNU/Linux
Module                  Size  Used by
vfat                    6736  1 
fat                    37704  1 vfat
fuse                   48375  2 
rfcomm                 54645  4 
sco                    13584  2 
bridge                 39353  0 
stp                     1399  1 bridge
llc                     3671  2 bridge,stp
bnep                   11978  2 
l2cap                  38867  16 rfcomm,bnep
vboxnetadp              5434  0 
vboxnetflt             10753  0 
vboxdrv               137059  2 vboxnetadp,vboxnetflt
cpufreq_ondemand        6993  4 
acpi_cpufreq            6535  0 
ip6t_REJECT             3394  2 
nf_conntrack_ipv6      14859  2 
ip6table_filter         2227  1 
ip6_tables              9409  1 ip6table_filter
ipv6                  223810  28 ip6t_REJECT,nf_conntrack_ipv6
dm_multipath           12324  0 
uinput                  5244  0 
snd_hda_codec_idt      43989  1 
nvidia               9950643  31 
snd_hda_intel          19875  2 
arc4                    1073  2 
ecb                     1575  2 
snd_hda_codec          59921  2 snd_hda_codec_idt,snd_hda_intel
iwlagn                119145  0 
iwlcore               176371  1 iwlagn
sdhci_pci               5176  0 
snd_hwdep               4868  1 snd_hda_codec
ppdev                   6529  0 
snd_seq                42811  0 
snd_seq_device          5031  1 snd_seq
sdhci                  15252  1 sdhci_pci
snd_pcm                60772  2 snd_hda_intel,snd_hda_codec
parport_pc             17509  0 
parport                27256  2 ppdev,parport_pc
btusb                  12376  2 
mac80211              169130  2 iwlagn,iwlcore
dell_wmi                1561  0 
snd_timer              15541  2 snd_seq,snd_pcm
mmc_core               51252  1 sdhci
wmi                     5620  1 dell_wmi
snd                    46576  12 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
iTCO_wdt                8886  0 
iTCO_vendor_support     2023  1 iTCO_wdt
e1000e                103624  0 
dcdbas                  6596  0 
i2c_i801                8369  0 
soundcore               4863  1 snd
cfg80211               97861  3 iwlagn,iwlcore,mac80211
bluetooth              74122  9 rfcomm,sco,bnep,l2cap,btusb
snd_page_alloc          6061  2 snd_hda_intel,snd_pcm
rfkill                 13401  4 cfg80211,bluetooth
usb_storage            34386  1 
video                  16522  0 
output                  1605  1 video
nouveau               291973  0 
ttm                    40269  1 nouveau
drm_kms_helper         22263  1 nouveau
drm                   134881  3 nouveau,ttm,drm_kms_helper
i2c_algo_bit            4073  1 nouveau
i2c_core               21732  6 nvidia,i2c_i801,nouveau,drm_kms_helper,drm,i2c_algo_bit
             total       used       free     shared    buffers     cached
Mem:       3346244    1102688    2243556          0      34240     675352
-/+ buffers/cache:     393096    2953148
Swap:      5455864          0    5455864
success.
/usr/lib/pm-utils/sleep.d/00powersave suspend suspend: success.
/usr/lib/pm-utils/sleep.d/01grub suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56atd suspend suspend: success.
/usr/lib/pm-utils/sleep.d/56dhclient suspend suspend: success.
/usr/lib/pm-utils/sleep.d/75modules suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/90clock suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend: success.
/usr/lib/pm-utils/sleep.d/95led suspend suspend: not applicable.
/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video suspend suspend: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook suspend suspend: Advanced Power Management not supported by device sdb.
saving level 128 for device sda
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdd.
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdc.
success.
/usr/lib/pm-utils/sleep.d/99video suspend suspend: kernel.acpi_video_flags = 0
success.
Thu Jun  3 11:21:58 EDT 2010: performing suspend
======
SYS POWER
total 0
-rw-r--r-- 1 root root 4096 Jun  3 11:22 disk
-rw-r--r-- 1 root root 4096 Jun  3 11:28 image_size
-rw-r--r-- 1 root root 4096 Jun  3 11:28 pm_test
-rw-r--r-- 1 root root 4096 Jun  3 11:28 pm_trace
-rw-r--r-- 1 root root 4096 Jun  3 11:28 resume
-rw-r--r-- 1 root root 4096 Jun  3 11:22 state
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
HAL INFO
  power_management.quirk.dpms_on = true  (bool)
  power_management.quirk.dpms_suspend = true  (bool)
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbemode_restore = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)
  power_management.quirk.vga_mode_3 = true  (bool)
  system.firmware.version = 'A01'  (string)
  system.hardware.product = 'Latitude E6410'  (string)
  system.hardware.vendor = 'Dell Inc.'  (string)
  system.hardware.version = '0001'  (string)
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Aug 25  2009 config.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 power.d
drwxr-xr-x. 2 root root 4096 Aug 25  2009 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux localhost.localdomain 2.6.32.12-115.fc12.i686 #1 SMP Fri Apr 30 20:34:53 UTC 2010 i686 i686 i386 GNU/Linux
======
RPM
kernel-2.6.31.5-127.fc12
kernel-2.6.32.12-115.fc12
pm-utils-1.2.5-7.fc12
hal-0.5.13-9.fc12
hal-info-20090716-3.fc12
gnome-power-manager-2.28.2-2.fc12
vbetool-1.2.2-1.fc12
radeontool-1.5-6.fc12
hdparm-9.16-3.fc12
======
FEDORA RELEASE
Fedora release 12 (Constantine)
======

Comment 4 Gregg Lebovitz 2010-06-03 18:30:25 UTC
Jaroslav,

I installed fedora 13 on an external eSata drive and so far I am not seeing this issue. I will upgrade to fedora 13 on my internal drive and make sure that it continues working.

Comment 5 Jaroslav Škarvada 2010-06-07 15:11:04 UTC
I can't see nothing bad in logs. Looks like kernel issue. Please let me know if it resolved by upgrade to F13. In this case I will close this.

Comment 6 Gregg Lebovitz 2010-06-07 17:30:03 UTC
Looks like you can go ahead and close it. It seems to be fixed in the 2.6.33 kernel.

Comment 7 Jaroslav Škarvada 2010-06-08 07:03:34 UTC
Ok, thanks for info. I am closing this as it seems fixed in F13. If the issue persists feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.